org.eclipse.jface.text.source

## Class ImageUtilities

- java.lang.Object
- - org.eclipse.jface.text.source.ImageUtilities

    public class ImageUtilities
    extends Object

Provides methods for drawing images onto a canvas.

This class is neither intended to be instantiated nor subclassed.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`ImageUtilities()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int align)` Draws an image aligned inside the given rectangle on the given canvas.
`static void` `drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int halign, int valign)` Draws an image aligned inside the given rectangle on the given canvas.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageUtilities

    public ImageUtilities()

### Method Detail

#### drawImage

    public static void drawImage(Image image,
                                 GC gc,
                                 Canvas canvas,
                                 Rectangle r,
                                 int halign,
                                 int valign)

Draws an image aligned inside the given rectangle on the given canvas.

Parameters:
  `image` - the image to be drawn
  `gc` - the drawing GC
  `canvas` - the canvas on which to draw
  `r` - the clipping rectangle
  `halign` - the horizontal alignment of the image to be drawn
  `valign` - the vertical alignment of the image to be drawn

#### drawImage

    public static void drawImage(Image image,
                                 GC gc,
                                 Canvas canvas,
                                 Rectangle r,
                                 int align)

Draws an image aligned inside the given rectangle on the given canvas.

Parameters:
  `image` - the image to be drawn
  `gc` - the drawing GC
  `canvas` - the canvas on which to draw
  `r` - the clipping rectangle
  `align` - the alignment of the image to be drawn